ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: using jdk1.5alpha for javac
Date Fri, 23 Jan 2004 07:06:40 GMT
On Thu, 22 Jan 2004, James Black <jblack@ieee.org> wrote:

>   Everything works until I try source="1.5", then I get an error.

Without any warnings?  I'm surprised.  Maybe it's just the Linux
version that is unwilling to accept -source 1.3 or to create -target
1.1.

The short story is that there is no real support for JDK 1.5 yet.
I've added a few things to CVS HEAD but it is far from finished.

But at least Ant would detect Java 1.5 with this and allow -source
1.5, maybe I should merge the parts we have over to the 1.6 branch so
it gets into 1.6.1 - I don't see any chance of supporting the new
javac API, I've forgotten the JSR number, for the planned release
date.

Antoine, what do you think?  I'm talking about
<http://marc.theaimsgroup.com/?l=ant-dev&m=107349417004602&w=2>.

Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message